package mynet;

import java.io.IOException;
import java.net.Socket;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;

public class DateTimeProvider extends ClientHandler {


	public DateTimeProvider(Socket s) throws IOException {
		super(s);
	}

	
	@Override
	public void processRequest() throws IOException {
		super.processRequest();
		while(true){
			String req =  i.readLine();
			if (req.startsWith("DATA")){
				Date now = new Date();
				DateFormat dateFormat = new SimpleDateFormat("dd/MM/yyyy");
		        String resp = dateFormat.format(now);
		        o.println(resp);
			} else if(req.startsWith("TIME")){
				Date now = new Date();
				DateFormat dateFormat = new SimpleDateFormat("HH:mm:ss");
		        String resp = dateFormat.format(now);
		        o.println(resp);
			} else if(req.startsWith("QUIT")){
				s.close();
				break;
			}
			
		}
	}
}
